Bug 210856 - gfs2_fsck needs to take into account endian bug in lf_dirent_format
gfs2_fsck needs to take into account endian bug in lf_dirent_format
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
Dean Jansa
Depends On:
Blocks: 204760
  Show dependency treegraph
Reported: 2006-10-16 05:28 EDT by Steve Whitehouse
Modified: 2010-01-11 22:36 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0579
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 13:04:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2006-10-16 05:28:43 EDT
Description of problem:

As reported by Al Viro, early versions of GFS2 have had an problem in with the
lf_dirent_format field in that its 32 bits long, but only a cpu_to_be16()
conversion was being used. gfs2_fsck should accept either version of the
constant and rewrite it to the correct one.

This field isn't currently used by anything, but we might as well fix it up in
case of future need.
Comment 2 Ryan O'Hara 2006-11-16 15:00:42 EST
Added code to check_leaf (metawalk.c) to detect lf_dirent_format fields that
have incorrect value. If found, we simply update the in-core leaf with
GFS2_FORMAT_DE and call gfs2_leaf_out(..), then mark the buffer as updated.

Note both the gfs2_leaf_in(..) and gfs2_leaf_out(..) convert the
lf_dirent_format as a 32-bit value.

Comment 6 errata-xmlrpc 2007-11-07 13:04:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.